    @ECHO OFF
    ECHO OFF
    IF NOT (%1) == (POP) GOTO MAIN
    SHIFT
    SHIFT
    GOTO %0


:MAIN
    PSMENU_D SAPPHIRE INFO 001
    IF ERRORLEVEL 10 GOTO QUIT
    IF ERRORLEVEL  8 VIEW VENDINFO.DIZ PSH INFO MAIN %1
    IF ERRORLEVEL  6 VIEW ORDER.FRM    PSH INFO MAIN %1
    IF ERRORLEVEL  4 GOTO SEARCH
    IF ERRORLEVEL  3 GOTO FILES
    IF ERRORLEVEL  1 GOTO MANL
    
:FILES
    SAPPFIVE FNAMES.FIV
    GOTO MAIN
:SEARCH
    SEARCH
    GOTO MAIN

:MANL
    PSMENU_D SAPPHIRE MANUAL 003
    IF ERRORLEVEL 18 GOTO MAIN
    IF ERRORLEVEL 16 VIEW SAPPHTS.DOC  PSH INFO MANL %1
    IF ERRORLEVEL 14 VIEW HISTORY.DOC  PSH INFO MANL %1
    IF ERRORLEVEL 13 VIEW INC.DOC      PSH INFO MANL %1
    IF ERRORLEVEL 12 VIEW ACCOUNT.DOC  PSH INFO MANL %1
    IF ERRORLEVEL 11 VIEW MISC.DOC     PSH INFO MANL %1
    IF ERRORLEVEL 10 VIEW EXTERN.DOC   PSH INFO MANL %1
    IF ERRORLEVEL  9 VIEW STOCK.DOC    PSH INFO MANL %1
    IF ERRORLEVEL  8 VIEW CUSTOM.DOC   PSH INFO MANL %1
    IF ERRORLEVEL  6 VIEW BASIC.DOC    PSH INFO MANL %1
    IF ERRORLEVEL  4 VIEW INSTALL.DOC  PSH INFO MANL %1
    IF ERRORLEVEL  3 VIEW THISVER.DOC  PSH INFO MANL %1
    IF ERRORLEVEL  2 VIEW FEATURES.DOC PSH INFO MANL %1
    IF ERRORLEVEL  1 VIEW NOTICES.DOC  PSH INFO MANL %1

:QUIT
    IF (%1) == (X) SYSOP X
